新建 vue项目时报错,无法成功搭建项目

之前电脑已经安装 Node环境和 vue-cli脚手架,但是过段时间没有使用,然后现在用 vue-cli 搭建项目的时候,启动服务器的时候报错,无法启动成功,摸索半天,发现是因为 Node和vue-cli 的版本过低,都需要更新,更新过后成功启动......

以下是 Node 和 vue-cli 更新的总结:

一. vue-cli更新

  在百度了好久,也试了好多方法,没用,最后使用以下方法实现 vue-cli 更新:

  1. 先全局卸载vue-cli: npm uninstall vue-cli -g

  2. 重新下载:npm install vue-cli -g

二. Node 的更新

  我使用的是Node版本管理工具(nvm)进行 Node版本的切换,在使用 vue-cli 搭建 vue 项目前,先把 Node版本切换到最新版,

  然后再:  vue init webpack <project-name>  来初始化项目;

  在切换 Node版本的时候发现了自己给自己挖了一个坑,就是在安装 nvm 的时候不是全局安装,所以必须跑到之前安装 nvm 的路径下,才能使用 nvm 进行 Node 版本的切换。

  

webpack + vue-cli 搭建 vue 项目的流程

  保证先安装 Node 环境,然后使用下载Node时自带的 npm (node 的包管理工具) 下载各种依赖,比如:vue-cli,安装 vue-cli后才能使用 vue 命令来初始化项目

  1. 全局安装vue的脚手架:vue-cli

    npm install vue-cli -g

  2. 使用初始化 vue 项目: (使用 webpack模板搭建项目)

    vue init webpack <project-name>

  3. 进入刚刚新建的项目文件:

    cd <project-name>

  4. 安装vue项目所需要的依赖

    npm install

  5. 运行启动项目:

    npm run dev

 

Node版本管理工具(nvm)的安装可以参考:Nvm安装,有点小复杂,而且还没有全局安装,看看就行,解决方案出来再进行修改,如果大神有好的解决方案请告之,菜鸟自摸实在是太心酸了,一个问题能搞一下午.....,纯属浪费时间

转载于:https://www.cnblogs.com/iceBlogs/p/7748254.html

  • 0
    点赞
  • 0
    评论
  • 1
    收藏
  • 扫一扫,分享海报

参与评论
请先登录 后发表评论~
©️2021 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值